org.springframework.web.socket.sockjs.transport.handler

## Class AbstractTransportHandler

- java.lang.Object
- - org.springframework.web.socket.sockjs.transport.handler.AbstractTransportHandler

- All Implemented Interfaces:
    TransportHandler
  Direct Known Subclasses:
    AbstractHttpReceivingTransportHandler, AbstractHttpSendingTransportHandler, WebSocketTransportHandler

      public abstract class AbstractTransportHandler
      extends Object
      implements TransportHandler

  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Log` | `logger`
    `protected static Charset` | `UTF8_CHARSET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTransportHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SockJsServiceConfig` | `getServiceConfig()`
    `void` | `initialize(SockJsServiceConfig serviceConfig)` Initialize this handler with the given configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.web.socket.sockjs.transport.TransportHandler

      `getTransportType, handleRequest`

- - ### Field Detail

    - #### UTF8_CHARSET

          protected static final Charset UTF8_CHARSET

    - #### logger

          protected final Log logger

  - ### Constructor Detail

    - #### AbstractTransportHandler

          public AbstractTransportHandler()

  - ### Method Detail

    - #### initialize

          public void initialize(SockJsServiceConfig serviceConfig)

      Description copied from interface: `TransportHandler`
      Initialize this handler with the given configuration.
      Specified by:
        `initialize` in interface `TransportHandler`
      Parameters:
        `serviceConfig` - the configuration as defined by the containing `SockJsService`

    - #### getServiceConfig

          public SockJsServiceConfig getServiceConfig()